Bug 1654879 - Review Request: rsc-pdf: PDF Reader written in Go
Summary: Review Request: rsc-pdf: PDF Reader written in Go
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1645681
Blocks: 1645294
TreeView+ depends on / blocked
 
Reported: 2018-11-29 22:57 UTC by Derek Parker
Modified: 2018-11-29 22:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1645681
Environment:
Last Closed: 2018-11-29 22:58:45 UTC
Type: ---


Attachments (Terms of Use)

Description Derek Parker 2018-11-29 22:57:01 UTC
+++ This bug was initially created as a clone of Bug #1645681 +++

Spec URL: https://eclipseo.fedorapeople.org/golang-x-arch.spec
SRPM URL: https://eclipseo.fedorapeople.org/golang-x-arch-0-0.1.20181102gitb19384d.fc30.src.rpm

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30613234

Description:
This package holds machine architecture information used by the Go
toolchain.

Fedora Account System Username: eclipseo

--- Additional comment from Jakub Čajka on 2018-11-08 08:02:13 EST ---

It seems that the package contains files under different licenses so all should be listed under the license tag i.e. License:  BSD and MIT and ASL 2.0 
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

Breakdown(should be mentioned in the comments):
BSD all except
MIT x86/x86asm/testdata/libmach8db.c
ASL 2.0 x86/x86avxgen/testdata/xedpath/*.txt

Otherwise everything looks good to me.

--- Additional comment from Robert-André Mauchin on 2018-11-09 14:34:03 EST ---

Spec URL: https://eclipseo.fedorapeople.org/golang-x-arch.spec
SRPM URL: https://eclipseo.fedorapeople.org/golang-x-arch-0-0.1.20181109gitb19384d.fc30.src.rpm

Fixed the license as you said.

--- Additional comment from Robert-André Mauchin on 2018-11-21 12:31:33 EST ---

Ping jcajka?

--- Additional comment from Jakub Čajka on 2018-11-22 06:12:46 EST ---

Sorry, missed you respin.

Looks good to me now.

--- Additional comment from Gwyn Ciesla on 2018-11-26 11:08:38 EST ---

(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-x-arch

--- Additional comment from Fedora Update System on 2018-11-26 16:53:11 EST ---

golang-x-arch-0-0.1.20181126gitb19384d.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4dabe194d3

--- Additional comment from Fedora Update System on 2018-11-26 18:52:21 EST ---

golang-x-arch-0-0.1.20181126gitb19384d.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-32706954fe

--- Additional comment from Fedora Update System on 2018-11-26 23:28:18 EST ---

golang-x-arch-0-0.1.20181126gitb19384d.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-32706954fe

--- Additional comment from Fedora Update System on 2018-11-27 00:14:57 EST ---

golang-x-arch-0-0.1.20181126gitb19384d.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4dabe194d3

--- Additional comment from Derek Parker on 2018-11-27 16:28:08 EST ---

I'm trying to install this package locally (and tried building on copr) in order to rebuild my srpm for the Delve package, however I get the following error: 

DEBUG util.py:490:  BUILDSTDERR: Error: 
DEBUG util.py:490:  BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:490:  BUILDSTDERR:   - nothing provides golang(rsc.io/pdf) needed by golang-x-arch-devel-0-0.1.20181126gitb19384d.fc30.noarch

--- Additional comment from Robert-André Mauchin on 2018-11-28 11:15:38 EST ---

A missing Requires that didn't appear during packaging. It needs to be packaged too. I'm away from my computer right now, perhaps you could try packaging it.


Note You need to log in before you can comment on or make changes to this bug.